!**************************************************************
!* AceGen    7.402 Linux (2 Jan 22)                           *
!*           Co. J. Korelc  2020           24 Oct 23 11:31:45 *
!**************************************************************
! User     : Full professional version
! Notebook : elmt05_ecm_full _implicit
! Evaluation time                 : 16 s    Mode  : Optimal
! Number of formulae              : 372     Method: Automatic
! Subroutine                      : elmt05_ecm_full_implicit size: 9212
! Total size of Mathematica  code : 9212 subexpressions
! Total size of Fortran code      : 25881 bytes

!******************* S U B R O U T I N E **********************
      SUBROUTINE elmt05_ecm_full_implicit(activator,coupling
     &,thetanumerical,dt,Xn,Un,xi,eta,zeta,cPvec,cPprevvec,kP,cEvec
     &,cEprevvec,etaE,epsilonE,cEeq,cEtf,kE,rhoSvec,rhoSprevvec,kS
     &,resE,tangEU,tangEP,tangEE,tangES)
      IMPLICIT NONE
      include 'sms.h'
      INTEGER activator,coupling
      DOUBLE PRECISION v(1043),thetanumerical,dt,Xn(8,3),Un
     &(8,3),xi,eta,zeta,cPvec(8),cPprevvec(8),kP,cEvec(8),cEprevvec(8
     &),etaE,epsilonE,cEeq,cEtf,kE,rhoSvec(8),rhoSprevvec(8),kS,resE
     &(8),tangEU(8,24),tangEP(8,8),tangEE(8,8),tangES(8,8)
      v(4)=dt
      v(5)=Xn(1,1)
      v(6)=Xn(1,2)
      v(7)=Xn(1,3)
      v(8)=Xn(2,1)
      v(9)=Xn(2,2)
      v(10)=Xn(2,3)
      v(11)=Xn(3,1)
      v(12)=Xn(3,2)
      v(13)=Xn(3,3)
      v(14)=Xn(4,1)
      v(15)=Xn(4,2)
      v(16)=Xn(4,3)
      v(17)=Xn(5,1)
      v(18)=Xn(5,2)
      v(19)=Xn(5,3)
      v(20)=Xn(6,1)
      v(21)=Xn(6,2)
      v(22)=Xn(6,3)
      v(23)=Xn(7,1)
      v(24)=Xn(7,2)
      v(25)=Xn(7,3)
      v(26)=Xn(8,1)
      v(27)=Xn(8,2)
      v(28)=Xn(8,3)
      v(29)=Un(1,1)
      v(30)=Un(1,2)
      v(31)=Un(1,3)
      v(32)=Un(2,1)
      v(33)=Un(2,2)
      v(34)=Un(2,3)
      v(35)=Un(3,1)
      v(36)=Un(3,2)
      v(37)=Un(3,3)
      v(38)=Un(4,1)
      v(39)=Un(4,2)
      v(40)=Un(4,3)
      v(41)=Un(5,1)
      v(42)=Un(5,2)
      v(43)=Un(5,3)
      v(44)=Un(6,1)
      v(45)=Un(6,2)
      v(46)=Un(6,3)
      v(47)=Un(7,1)
      v(48)=Un(7,2)
      v(49)=Un(7,3)
      v(50)=Un(8,1)
      v(51)=Un(8,2)
      v(52)=Un(8,3)
      v(53)=xi
      v(118)=1d0-v(53)
      v(114)=1d0+v(53)
      v(54)=eta
      v(124)=1d0+v(54)
      v(157)=v(124)/8d0
      v(165)=-(v(118)*v(157))
      v(164)=-(v(114)*v(157))
      v(120)=1d0-v(54)
      v(158)=v(120)/8d0
      v(163)=-(v(114)*v(158))
      v(161)=-(v(118)*v(158))
      v(176)=v(163)*(v(10)-v(22))+v(164)*(v(13)-v(25))+v(165)*(v(16)
     &-v(28))+v(161)*(-v(19)+v(7))
      v(173)=v(164)*(v(12)-v(24))+v(165)*(v(15)-v(27))+v(161)*(-v(18)
     &+v(6))+v(163)*(-v(21)+v(9))
      v(170)=v(164)*(v(11)-v(23))+v(165)*(v(14)-v(26))+v(161)*(-v(17)
     &+v(5))+v(163)*(-v(20)+v(8))
      v(55)=zeta
      v(156)=(1d0+v(55))/8d0
      v(167)=-(v(114)*v(156))
      v(166)=-(v(118)*v(156))
      v(127)=v(124)*v(156)
      v(122)=v(120)*v(156)
      v(159)=(1d0-v(55))/8d0
      v(162)=-(v(114)*v(159))
      v(160)=-(v(118)*v(159))
      v(175)=(v(10)-v(13))*v(162)+v(167)*(v(22)-v(25))+v(166)*(v(19)
     &-v(28))+v(160)*(-v(16)+v(7))
      v(172)=v(167)*(v(21)-v(24))+v(166)*(v(18)-v(27))+v(160)*(-v(15)
     &+v(6))+v(162)*(-v(12)+v(9))
      v(194)=-(v(173)*v(175))+v(172)*v(176)
      v(169)=v(167)*(v(20)-v(23))+v(166)*(v(17)-v(26))+v(160)*(-v(14)
     &+v(5))+v(162)*(-v(11)+v(8))
      v(117)=v(124)*v(159)
      v(112)=v(120)*v(159)
      v(174)=v(117)*(v(13)-v(16))+v(122)*(-v(19)+v(22))+v(127)*(v(25)
     &-v(28))+v(112)*(v(10)-v(7))
      v(171)=v(117)*(v(12)-v(15))+v(122)*(-v(18)+v(21))+v(127)*(v(24)
     &-v(27))+v(112)*(-v(6)+v(9))
      v(202)=-(v(172)*v(174))+v(171)*v(175)
      v(198)=-(v(173)*v(174))+v(171)*v(176)
      v(168)=v(117)*(v(11)-v(14))+v(122)*(-v(17)+v(20))+v(127)*(v(23)
     &-v(26))+v(112)*(-v(5)+v(8))
      v(865)=1d0/(cEeq*cEtf)
      v(76)=kE
      v(656)=epsilonE*kP*v(4)
      v(761)=(-1d0)*etaE*kS*v(4)
      v(111)=v(112)*v(118)
      v(930)=(v(111)*v(111))
      v(113)=v(112)*v(114)
      v(116)=v(114)*v(117)
      v(119)=v(117)*v(118)
      v(121)=v(118)*v(122)
      v(123)=v(114)*v(122)
      v(126)=v(114)*v(127)
      v(128)=v(118)*v(127)
      v(177)=v(168)*v(194)-v(169)*v(198)+v(170)*v(202)
      v(933)=v(177)*v(930)
      v(870)=v(113)*v(177)
      v(869)=v(111)*v(177)
      v(853)=1d0*v(177)
      v(838)=v(126)*v(853)
      v(828)=v(123)*v(853)
      v(818)=1d0*v(121)*v(853)
      v(879)=1d0*v(818)
      v(811)=1d0*v(119)*v(853)
      v(798)=1d0*v(116)*v(853)
      v(874)=1d0*v(798)
      v(195)=-(v(194)/v(177))
      v(260)=-(v(127)*v(195))
      v(251)=v(122)*v(195)
      v(242)=-(v(117)*v(195))
      v(233)=v(112)*v(195)
      v(196)=(-(v(170)*v(175))+v(169)*v(176))/v(177)
      v(262)=-(v(127)*v(196))
      v(253)=v(122)*v(196)
      v(244)=-(v(117)*v(196))
      v(235)=v(112)*v(196)
      v(197)=(v(170)*v(172)-v(169)*v(173))/v(177)
      v(264)=-(v(127)*v(197))
      v(255)=v(122)*v(197)
      v(246)=-(v(117)*v(197))
      v(237)=v(112)*v(197)
      v(199)=-(v(198)/v(177))
      v(221)=v(159)*v(199)
      v(209)=v(156)*v(199)
      v(200)=(-(v(170)*v(174))+v(168)*v(176))/v(177)
      v(224)=v(159)*v(200)
      v(211)=v(156)*v(200)
      v(201)=(v(170)*v(171)-v(168)*v(173))/v(177)
      v(227)=v(159)*v(201)
      v(213)=v(156)*v(201)
      v(203)=v(202)/v(177)
      v(222)=v(158)*v(203)
      v(215)=v(157)*v(203)
      v(204)=(v(169)*v(174)-v(168)*v(175))/v(177)
      v(225)=v(158)*v(204)
      v(217)=v(157)*v(204)
      v(205)=(-(v(169)*v(171))+v(168)*v(172))/v(177)
      v(228)=v(158)*v(205)
      v(219)=v(157)*v(205)
      v(206)=v(209)+v(215)
      v(207)=v(211)+v(217)
      v(208)=v(213)+v(219)
      v(210)=-v(209)+v(222)
      v(212)=-v(211)+v(225)
      v(214)=-v(213)+v(228)
      v(216)=-v(215)+v(221)
      v(218)=-v(217)+v(224)
      v(220)=-v(219)+v(227)
      v(223)=-v(221)-v(222)
      v(226)=-v(224)-v(225)
      v(229)=-v(227)-v(228)
      v(230)=v(118)*v(223)+v(233)
      v(231)=v(118)*v(226)+v(235)
      v(232)=v(118)*v(229)+v(237)
      v(234)=v(114)*v(223)-v(233)
      v(236)=v(114)*v(226)-v(235)
      v(238)=v(114)*v(229)-v(237)
      v(239)=v(114)*v(216)+v(242)
      v(240)=v(114)*v(218)+v(244)
      v(241)=v(114)*v(220)+v(246)
      v(243)=v(118)*v(216)-v(242)
      v(245)=v(118)*v(218)-v(244)
      v(247)=v(118)*v(220)-v(246)
      v(248)=v(118)*v(210)+v(251)
      v(249)=v(118)*v(212)+v(253)
      v(250)=v(118)*v(214)+v(255)
      v(252)=v(114)*v(210)-v(251)
      v(254)=v(114)*v(212)-v(253)
      v(256)=v(114)*v(214)-v(255)
      v(257)=v(114)*v(206)+v(260)
      v(258)=v(114)*v(207)+v(262)
      v(259)=v(114)*v(208)+v(264)
      v(261)=v(118)*v(206)-v(260)
      v(263)=v(118)*v(207)-v(262)
      v(265)=v(118)*v(208)-v(264)
      v(275)=1d0+v(230)*v(29)+v(234)*v(32)+v(239)*v(35)+v(243)*v(38)
     &+v(248)*v(41)+v(252)*v(44)+v(257)*v(47)+v(261)*v(50)
      v(276)=v(231)*v(29)+v(236)*v(32)+v(240)*v(35)+v(245)*v(38)+v
     &(249)*v(41)+v(254)*v(44)+v(258)*v(47)+v(263)*v(50)
      v(277)=v(232)*v(29)+v(238)*v(32)+v(241)*v(35)+v(247)*v(38)+v
     &(250)*v(41)+v(256)*v(44)+v(259)*v(47)+v(265)*v(50)
      v(278)=v(230)*v(30)+v(234)*v(33)+v(239)*v(36)+v(243)*v(39)+v
     &(248)*v(42)+v(252)*v(45)+v(257)*v(48)+v(261)*v(51)
      v(279)=1d0+v(231)*v(30)+v(236)*v(33)+v(240)*v(36)+v(245)*v(39)
     &+v(249)*v(42)+v(254)*v(45)+v(258)*v(48)+v(263)*v(51)
      v(854)=-(v(276)*v(278))+v(275)*v(279)
      v(280)=v(232)*v(30)+v(238)*v(33)+v(241)*v(36)+v(247)*v(39)+v
     &(250)*v(42)+v(256)*v(45)+v(259)*v(48)+v(265)*v(51)
      v(856)=-(v(277)*v(279))+v(276)*v(280)
      v(855)=v(277)*v(278)-v(275)*v(280)
      v(329)=v(265)*v(854)+v(263)*v(855)+v(261)*v(856)
      v(326)=v(259)*v(854)+v(258)*v(855)+v(257)*v(856)
      v(323)=v(256)*v(854)+v(254)*v(855)+v(252)*v(856)
      v(320)=v(250)*v(854)+v(249)*v(855)+v(248)*v(856)
      v(317)=v(247)*v(854)+v(245)*v(855)+v(243)*v(856)
      v(314)=v(241)*v(854)+v(240)*v(855)+v(239)*v(856)
      v(311)=v(238)*v(854)+v(236)*v(855)+v(234)*v(856)
      v(308)=v(232)*v(854)+v(231)*v(855)+v(230)*v(856)
      v(281)=v(230)*v(31)+v(234)*v(34)+v(239)*v(37)+v(243)*v(40)+v
     &(248)*v(43)+v(252)*v(46)+v(257)*v(49)+v(261)*v(52)
      v(282)=v(231)*v(31)+v(236)*v(34)+v(240)*v(37)+v(245)*v(40)+v
     &(249)*v(43)+v(254)*v(46)+v(258)*v(49)+v(263)*v(52)
      v(857)=v(276)*v(281)-v(275)*v(282)
      v(303)=-(v(279)*v(281))+v(278)*v(282)
      v(283)=1d0+v(232)*v(31)+v(238)*v(34)+v(241)*v(37)+v(247)*v(40)
     &+v(250)*v(43)+v(256)*v(46)+v(259)*v(49)+v(265)*v(52)
      v(859)=v(277)*v(282)-v(276)*v(283)
      v(858)=-(v(277)*v(281))+v(275)*v(283)
      v(328)=v(265)*v(857)+v(263)*v(858)+v(261)*v(859)
      v(325)=v(259)*v(857)+v(258)*v(858)+v(257)*v(859)
      v(322)=v(256)*v(857)+v(254)*v(858)+v(252)*v(859)
      v(319)=v(250)*v(857)+v(249)*v(858)+v(248)*v(859)
      v(316)=v(247)*v(857)+v(245)*v(858)+v(243)*v(859)
      v(313)=v(241)*v(857)+v(240)*v(858)+v(239)*v(859)
      v(310)=v(238)*v(857)+v(236)*v(858)+v(234)*v(859)
      v(307)=v(232)*v(857)+v(231)*v(858)+v(230)*v(859)
      v(305)=-(v(280)*v(282))+v(279)*v(283)
      v(304)=-(v(280)*v(281))+v(278)*v(283)
      v(327)=v(265)*v(303)-v(263)*v(304)+v(261)*v(305)
      v(324)=v(259)*v(303)-v(258)*v(304)+v(257)*v(305)
      v(321)=v(256)*v(303)-v(254)*v(304)+v(252)*v(305)
      v(318)=v(250)*v(303)-v(249)*v(304)+v(248)*v(305)
      v(315)=v(247)*v(303)-v(245)*v(304)+v(243)*v(305)
      v(312)=v(241)*v(303)-v(240)*v(304)+v(239)*v(305)
      v(309)=v(238)*v(303)-v(236)*v(304)+v(234)*v(305)
      v(306)=v(232)*v(303)-v(231)*v(304)+v(230)*v(305)
      v(284)=v(277)*v(303)-v(276)*v(304)+v(275)*v(305)
      v(332)=1d0/v(284)**2
      v(285)=cPvec(1)*v(111)+cPvec(2)*v(113)+cPvec(3)*v(116)+cPvec(4
     &)*v(119)+cPvec(5)*v(121)+cPvec(6)*v(123)+cPvec(7)*v(126)+cPvec
     &(8)*v(128)
      v(860)=(v(285)*v(656))/v(284)
      v(286)=cEvec(1)*v(111)+cEvec(2)*v(113)+cEvec(3)*v(116)+cEvec(4
     &)*v(119)+cEvec(5)*v(121)+cEvec(6)*v(123)+cEvec(7)*v(126)+cEvec
     &(8)*v(128)
      v(575)=v(286)*v(656)
      v(861)=v(575)/v(284)
      v(591)=v(128)*v(861)
      v(877)=1d0*v(591)
      v(590)=v(126)*v(861)
      v(589)=v(123)*v(861)
      v(588)=v(121)*v(861)
      v(587)=v(119)*v(861)
      v(586)=v(116)*v(861)
      v(585)=v(113)*v(861)
      v(357)=v(286)*v(865)
      v(868)=(1d0-(v(357)*v(76))/v(284))/v(76)
      v(862)=1d0*v(761)*v(868)
      v(863)=1d0*v(862)
      v(778)=v(128)*v(862)
      v(777)=v(126)*v(862)
      v(776)=v(123)*v(863)
      v(775)=v(121)*v(863)
      v(774)=1d0*v(119)*v(863)
      v(773)=1d0*v(116)*v(863)
      v(772)=1d0*v(113)*v(863)
      v(330)=v(285)*v(575)
      v(864)=-(v(330)*v(332))
      v(356)=(rhoSvec(1)*v(111)+rhoSvec(2)*v(113)+rhoSvec(3)*v(116)
     &+rhoSvec(4)*v(119)+rhoSvec(5)*v(121)+rhoSvec(6)*v(123)+rhoSvec
     &(7)*v(126)+rhoSvec(8)*v(128))*v(761)
      v(866)=-((v(356)*v(865))/v(284))
      v(876)=v(128)*(1d0+v(860)+v(866))
      v(878)=1d0*v(876)
      v(873)=v(126)*(1d0+v(860)+v(866))
      v(872)=v(123)*(1d0+v(860)+v(866))
      v(932)=v(121)*(v(860)+v(866))
      v(875)=v(119)*(1d0+v(860)+v(866))
      v(871)=v(116)*(1d0+v(860)+v(866))
      v(931)=v(113)*(v(860)+v(866))
      v(359)=v(332)*v(356)*v(357)
      v(867)=1d0*v(359)
      v(905)=v(329)*(v(864)+v(867))
      v(929)=v(177)*v(905)
      v(904)=v(328)*(v(864)+v(867))
      v(928)=v(177)*v(904)
      v(903)=v(327)*(v(864)+1d0*v(867))
      v(927)=v(177)*v(903)
      v(902)=v(326)*(v(864)+1d0*v(867))
      v(926)=v(177)*v(902)
      v(901)=v(325)*(v(864)+1d0*v(867))
      v(925)=v(177)*v(901)
      v(900)=v(324)*(v(864)+1d0*v(867))
      v(924)=v(177)*v(900)
      v(899)=v(323)*(v(864)+1d0*v(867))
      v(923)=v(177)*v(899)
      v(898)=v(322)*(v(864)+1d0*v(867))
      v(922)=v(177)*v(898)
      v(897)=v(321)*(v(864)+1d0*v(867))
      v(921)=v(177)*v(897)
      v(896)=v(320)*(v(864)+1d0*v(867))
      v(920)=v(177)*v(896)
      v(895)=v(319)*(v(864)+1d0*v(867))
      v(919)=v(177)*v(895)
      v(894)=v(318)*(v(864)+1d0*v(867))
      v(918)=v(177)*v(894)
      v(893)=v(317)*(v(864)+1d0*v(867))
      v(917)=v(177)*v(893)
      v(892)=v(316)*(v(864)+1d0*v(867))
      v(916)=v(177)*v(892)
      v(891)=v(315)*(v(864)+1d0*v(867))
      v(915)=v(177)*v(891)
      v(890)=v(314)*(v(864)+1d0*v(867))
      v(914)=v(177)*v(890)
      v(889)=v(313)*(v(864)+1d0*v(867))
      v(913)=v(177)*v(889)
      v(888)=v(312)*(v(864)+1d0*v(867))
      v(912)=v(177)*v(888)
      v(887)=v(311)*(v(864)+1d0*v(867))
      v(911)=v(177)*v(887)
      v(886)=v(310)*(v(864)+1d0*v(867))
      v(910)=v(177)*v(886)
      v(885)=v(309)*(v(864)+1d0*v(867))
      v(909)=v(177)*v(885)
      v(884)=v(308)*(v(864)+1d0*v(867))
      v(908)=v(177)*v(884)
      v(883)=v(307)*(v(864)+1d0*v(867))
      v(907)=v(177)*v(883)
      v(882)=v(306)*(v(359)+v(864))
      v(906)=v(177)*v(882)
      v(880)=-(cEprevvec(1)*v(111))-cEprevvec(2)*v(113)-cEprevvec(3
     &)*v(116)-cEprevvec(4)*v(119)-cEprevvec(5)*v(121)-cEprevvec(6)*v
     &(123)-cEprevvec(7)*v(126)-cEprevvec(8)*v(128)+v(286)+v(330)/v
     &(284)+v(356)*v(868)
      v(881)=v(177)*v(880)
      v(593)=v(585)*v(869)
      v(594)=v(586)*v(869)
      v(595)=v(587)*v(869)
      v(596)=v(588)*v(869)
      v(597)=v(589)*v(869)
      v(598)=v(590)*v(869)
      v(599)=v(591)*v(869)
      v(698)=v(869)*(v(113)+v(931))
      v(699)=v(869)*v(871)
      v(700)=v(869)*v(875)
      v(701)=v(869)*(v(121)+v(932))
      v(702)=v(869)*v(872)
      v(703)=v(869)*v(873)
      v(704)=v(869)*v(876)
      v(780)=v(772)*v(869)
      v(781)=v(773)*v(869)
      v(782)=v(774)*v(869)
      v(783)=v(775)*v(869)
      v(784)=v(776)*v(869)
      v(785)=v(777)*v(869)
      v(786)=v(778)*v(869)
      v(602)=v(586)*v(870)
      v(605)=v(589)*v(870)
      v(606)=v(590)*v(870)
      v(707)=v(870)*v(871)
      v(710)=v(870)*v(872)
      v(711)=v(870)*v(873)
      v(789)=v(773)*v(870)
      v(792)=v(776)*v(870)
      v(793)=v(777)*v(870)
      v(611)=v(587)*v(874)
      v(614)=v(590)*v(874)
      v(615)=v(874)*v(877)
      v(716)=1d0*v(874)*v(875)
      v(719)=1d0*v(873)*v(874)
      v(720)=v(874)*v(878)
      v(799)=v(774)*v(798)
      v(802)=1d0*v(777)*v(874)
      v(803)=1d0*v(778)*v(874)
      v(623)=v(811)*v(877)
      v(728)=v(811)*v(878)
      v(812)=v(778)*v(811)
      v(629)=v(589)*v(879)
      v(630)=v(590)*v(879)
      v(631)=1d0*v(591)*v(879)
      v(734)=1d0*v(872)*v(879)
      v(735)=1d0*v(873)*v(879)
      v(736)=1d0*v(878)*v(879)
      v(819)=v(776)*v(818)
      v(820)=1d0*v(777)*v(879)
      v(821)=1d0*v(778)*v(879)
      v(638)=v(590)*v(828)
      v(743)=v(828)*v(873)
      v(829)=v(777)*v(828)
      v(647)=v(591)*v(838)
      v(752)=v(838)*v(878)
      v(839)=v(778)*v(838)
      resE(1)=v(869)*v(880)
      resE(2)=v(870)*v(880)
      resE(3)=v(116)*v(881)
      resE(4)=v(119)*v(881)
      resE(5)=v(121)*v(881)
      resE(6)=v(123)*v(881)
      resE(7)=v(126)*v(881)
      resE(8)=v(128)*v(881)
      tangEU(1,1)=v(869)*v(882)
      tangEU(1,2)=v(869)*v(883)
      tangEU(1,3)=v(869)*v(884)
      tangEU(1,4)=v(869)*v(885)
      tangEU(1,5)=v(869)*v(886)
      tangEU(1,6)=v(869)*v(887)
      tangEU(1,7)=v(869)*v(888)
      tangEU(1,8)=v(869)*v(889)
      tangEU(1,9)=v(869)*v(890)
      tangEU(1,10)=v(869)*v(891)
      tangEU(1,11)=v(869)*v(892)
      tangEU(1,12)=v(869)*v(893)
      tangEU(1,13)=v(869)*v(894)
      tangEU(1,14)=v(869)*v(895)
      tangEU(1,15)=v(869)*v(896)
      tangEU(1,16)=v(869)*v(897)
      tangEU(1,17)=v(869)*v(898)
      tangEU(1,18)=v(869)*v(899)
      tangEU(1,19)=v(869)*v(900)
      tangEU(1,20)=v(869)*v(901)
      tangEU(1,21)=v(869)*v(902)
      tangEU(1,22)=v(869)*v(903)
      tangEU(1,23)=v(869)*v(904)
      tangEU(1,24)=v(869)*v(905)
      tangEU(2,1)=v(870)*v(882)
      tangEU(2,2)=v(870)*v(883)
      tangEU(2,3)=v(870)*v(884)
      tangEU(2,4)=v(870)*v(885)
      tangEU(2,5)=v(870)*v(886)
      tangEU(2,6)=v(870)*v(887)
      tangEU(2,7)=v(870)*v(888)
      tangEU(2,8)=v(870)*v(889)
      tangEU(2,9)=v(870)*v(890)
      tangEU(2,10)=v(870)*v(891)
      tangEU(2,11)=v(870)*v(892)
      tangEU(2,12)=v(870)*v(893)
      tangEU(2,13)=v(870)*v(894)
      tangEU(2,14)=v(870)*v(895)
      tangEU(2,15)=v(870)*v(896)
      tangEU(2,16)=v(870)*v(897)
      tangEU(2,17)=v(870)*v(898)
      tangEU(2,18)=v(870)*v(899)
      tangEU(2,19)=v(870)*v(900)
      tangEU(2,20)=v(870)*v(901)
      tangEU(2,21)=v(870)*v(902)
      tangEU(2,22)=v(870)*v(903)
      tangEU(2,23)=v(870)*v(904)
      tangEU(2,24)=v(870)*v(905)
      tangEU(3,1)=v(116)*v(906)
      tangEU(3,2)=v(116)*v(907)
      tangEU(3,3)=v(116)*v(908)
      tangEU(3,4)=v(116)*v(909)
      tangEU(3,5)=v(116)*v(910)
      tangEU(3,6)=v(116)*v(911)
      tangEU(3,7)=v(116)*v(912)
      tangEU(3,8)=v(116)*v(913)
      tangEU(3,9)=v(116)*v(914)
      tangEU(3,10)=v(116)*v(915)
      tangEU(3,11)=v(116)*v(916)
      tangEU(3,12)=v(116)*v(917)
      tangEU(3,13)=v(116)*v(918)
      tangEU(3,14)=v(116)*v(919)
      tangEU(3,15)=v(116)*v(920)
      tangEU(3,16)=v(116)*v(921)
      tangEU(3,17)=v(116)*v(922)
      tangEU(3,18)=v(116)*v(923)
      tangEU(3,19)=v(116)*v(924)
      tangEU(3,20)=v(116)*v(925)
      tangEU(3,21)=v(116)*v(926)
      tangEU(3,22)=v(116)*v(927)
      tangEU(3,23)=v(116)*v(928)
      tangEU(3,24)=v(116)*v(929)
      tangEU(4,1)=v(119)*v(906)
      tangEU(4,2)=v(119)*v(907)
      tangEU(4,3)=v(119)*v(908)
      tangEU(4,4)=v(119)*v(909)
      tangEU(4,5)=v(119)*v(910)
      tangEU(4,6)=v(119)*v(911)
      tangEU(4,7)=v(119)*v(912)
      tangEU(4,8)=v(119)*v(913)
      tangEU(4,9)=v(119)*v(914)
      tangEU(4,10)=v(119)*v(915)
      tangEU(4,11)=v(119)*v(916)
      tangEU(4,12)=v(119)*v(917)
      tangEU(4,13)=v(119)*v(918)
      tangEU(4,14)=v(119)*v(919)
      tangEU(4,15)=v(119)*v(920)
      tangEU(4,16)=v(119)*v(921)
      tangEU(4,17)=v(119)*v(922)
      tangEU(4,18)=v(119)*v(923)
      tangEU(4,19)=v(119)*v(924)
      tangEU(4,20)=v(119)*v(925)
      tangEU(4,21)=v(119)*v(926)
      tangEU(4,22)=v(119)*v(927)
      tangEU(4,23)=v(119)*v(928)
      tangEU(4,24)=v(119)*v(929)
      tangEU(5,1)=v(121)*v(906)
      tangEU(5,2)=v(121)*v(907)
      tangEU(5,3)=v(121)*v(908)
      tangEU(5,4)=v(121)*v(909)
      tangEU(5,5)=v(121)*v(910)
      tangEU(5,6)=v(121)*v(911)
      tangEU(5,7)=v(121)*v(912)
      tangEU(5,8)=v(121)*v(913)
      tangEU(5,9)=v(121)*v(914)
      tangEU(5,10)=v(121)*v(915)
      tangEU(5,11)=v(121)*v(916)
      tangEU(5,12)=v(121)*v(917)
      tangEU(5,13)=v(121)*v(918)
      tangEU(5,14)=v(121)*v(919)
      tangEU(5,15)=v(121)*v(920)
      tangEU(5,16)=v(121)*v(921)
      tangEU(5,17)=v(121)*v(922)
      tangEU(5,18)=v(121)*v(923)
      tangEU(5,19)=v(121)*v(924)
      tangEU(5,20)=v(121)*v(925)
      tangEU(5,21)=v(121)*v(926)
      tangEU(5,22)=v(121)*v(927)
      tangEU(5,23)=v(121)*v(928)
      tangEU(5,24)=v(121)*v(929)
      tangEU(6,1)=v(123)*v(906)
      tangEU(6,2)=v(123)*v(907)
      tangEU(6,3)=v(123)*v(908)
      tangEU(6,4)=v(123)*v(909)
      tangEU(6,5)=v(123)*v(910)
      tangEU(6,6)=v(123)*v(911)
      tangEU(6,7)=v(123)*v(912)
      tangEU(6,8)=v(123)*v(913)
      tangEU(6,9)=v(123)*v(914)
      tangEU(6,10)=v(123)*v(915)
      tangEU(6,11)=v(123)*v(916)
      tangEU(6,12)=v(123)*v(917)
      tangEU(6,13)=v(123)*v(918)
      tangEU(6,14)=v(123)*v(919)
      tangEU(6,15)=v(123)*v(920)
      tangEU(6,16)=v(123)*v(921)
      tangEU(6,17)=v(123)*v(922)
      tangEU(6,18)=v(123)*v(923)
      tangEU(6,19)=v(123)*v(924)
      tangEU(6,20)=v(123)*v(925)
      tangEU(6,21)=v(123)*v(926)
      tangEU(6,22)=v(123)*v(927)
      tangEU(6,23)=v(123)*v(928)
      tangEU(6,24)=v(123)*v(929)
      tangEU(7,1)=v(126)*v(906)
      tangEU(7,2)=v(126)*v(907)
      tangEU(7,3)=v(126)*v(908)
      tangEU(7,4)=v(126)*v(909)
      tangEU(7,5)=v(126)*v(910)
      tangEU(7,6)=v(126)*v(911)
      tangEU(7,7)=v(126)*v(912)
      tangEU(7,8)=v(126)*v(913)
      tangEU(7,9)=v(126)*v(914)
      tangEU(7,10)=v(126)*v(915)
      tangEU(7,11)=v(126)*v(916)
      tangEU(7,12)=v(126)*v(917)
      tangEU(7,13)=v(126)*v(918)
      tangEU(7,14)=v(126)*v(919)
      tangEU(7,15)=v(126)*v(920)
      tangEU(7,16)=v(126)*v(921)
      tangEU(7,17)=v(126)*v(922)
      tangEU(7,18)=v(126)*v(923)
      tangEU(7,19)=v(126)*v(924)
      tangEU(7,20)=v(126)*v(925)
      tangEU(7,21)=v(126)*v(926)
      tangEU(7,22)=v(126)*v(927)
      tangEU(7,23)=v(126)*v(928)
      tangEU(7,24)=v(126)*v(929)
      tangEU(8,1)=v(128)*v(906)
      tangEU(8,2)=v(128)*v(907)
      tangEU(8,3)=v(128)*v(908)
      tangEU(8,4)=v(128)*v(909)
      tangEU(8,5)=v(128)*v(910)
      tangEU(8,6)=v(128)*v(911)
      tangEU(8,7)=v(128)*v(912)
      tangEU(8,8)=v(128)*v(913)
      tangEU(8,9)=v(128)*v(914)
      tangEU(8,10)=v(128)*v(915)
      tangEU(8,11)=v(128)*v(916)
      tangEU(8,12)=v(128)*v(917)
      tangEU(8,13)=v(128)*v(918)
      tangEU(8,14)=v(128)*v(919)
      tangEU(8,15)=v(128)*v(920)
      tangEU(8,16)=v(128)*v(921)
      tangEU(8,17)=v(128)*v(922)
      tangEU(8,18)=v(128)*v(923)
      tangEU(8,19)=v(128)*v(924)
      tangEU(8,20)=v(128)*v(925)
      tangEU(8,21)=v(128)*v(926)
      tangEU(8,22)=v(128)*v(927)
      tangEU(8,23)=v(128)*v(928)
      tangEU(8,24)=v(128)*v(929)
      tangEP(1,1)=v(861)*v(933)
      tangEP(1,2)=v(593)
      tangEP(1,3)=v(594)
      tangEP(1,4)=v(595)
      tangEP(1,5)=v(596)
      tangEP(1,6)=v(597)
      tangEP(1,7)=v(598)
      tangEP(1,8)=v(599)
      tangEP(2,1)=v(593)
      tangEP(2,2)=v(585)*v(870)
      tangEP(2,3)=v(602)
      tangEP(2,4)=v(594)
      tangEP(2,5)=v(597)
      tangEP(2,6)=v(605)
      tangEP(2,7)=v(606)
      tangEP(2,8)=v(598)
      tangEP(3,1)=v(594)
      tangEP(3,2)=v(602)
      tangEP(3,3)=1d0*v(586)*v(874)
      tangEP(3,4)=v(611)
      tangEP(3,5)=v(598)
      tangEP(3,6)=v(606)
      tangEP(3,7)=v(614)
      tangEP(3,8)=v(615)
      tangEP(4,1)=v(595)
      tangEP(4,2)=v(594)
      tangEP(4,3)=v(611)
      tangEP(4,4)=1d0*v(587)*v(811)
      tangEP(4,5)=v(599)
      tangEP(4,6)=v(598)
      tangEP(4,7)=v(615)
      tangEP(4,8)=v(623)
      tangEP(5,1)=v(596)
      tangEP(5,2)=v(597)
      tangEP(5,3)=v(598)
      tangEP(5,4)=v(599)
      tangEP(5,5)=1d0*v(588)*v(879)
      tangEP(5,6)=v(629)
      tangEP(5,7)=v(630)
      tangEP(5,8)=v(631)
      tangEP(6,1)=v(597)
      tangEP(6,2)=v(605)
      tangEP(6,3)=v(606)
      tangEP(6,4)=v(598)
      tangEP(6,5)=v(629)
      tangEP(6,6)=v(589)*v(828)
      tangEP(6,7)=v(638)
      tangEP(6,8)=v(630)
      tangEP(7,1)=v(598)
      tangEP(7,2)=v(606)
      tangEP(7,3)=v(614)
      tangEP(7,4)=v(615)
      tangEP(7,5)=v(630)
      tangEP(7,6)=v(638)
      tangEP(7,7)=v(590)*v(838)
      tangEP(7,8)=v(647)
      tangEP(8,1)=v(599)
      tangEP(8,2)=v(598)
      tangEP(8,3)=v(615)
      tangEP(8,4)=v(623)
      tangEP(8,5)=v(631)
      tangEP(8,6)=v(630)
      tangEP(8,7)=v(647)
      tangEP(8,8)=v(128)*v(177)*v(591)
      tangEE(1,1)=v(177)*(v(930)+v(860)*v(930)+v(866)*v(930))
      tangEE(1,2)=v(698)
      tangEE(1,3)=v(699)
      tangEE(1,4)=v(700)
      tangEE(1,5)=v(701)
      tangEE(1,6)=v(702)
      tangEE(1,7)=v(703)
      tangEE(1,8)=v(704)
      tangEE(2,1)=v(698)
      tangEE(2,2)=v(177)*((v(113)*v(113))+v(113)*v(931))
      tangEE(2,3)=v(707)
      tangEE(2,4)=v(699)
      tangEE(2,5)=v(702)
      tangEE(2,6)=v(710)
      tangEE(2,7)=v(711)
      tangEE(2,8)=v(703)
      tangEE(3,1)=v(699)
      tangEE(3,2)=v(707)
      tangEE(3,3)=v(177)*((v(116)*v(116))+v(116)*(-v(116)+v(871)))
      tangEE(3,4)=v(716)
      tangEE(3,5)=v(703)
      tangEE(3,6)=v(711)
      tangEE(3,7)=v(719)
      tangEE(3,8)=v(720)
      tangEE(4,1)=v(700)
      tangEE(4,2)=v(699)
      tangEE(4,3)=v(716)
      tangEE(4,4)=v(177)*((v(119)*v(119))+v(119)*(-v(119)+v(875)))
      tangEE(4,5)=v(704)
      tangEE(4,6)=v(703)
      tangEE(4,7)=v(720)
      tangEE(4,8)=v(728)
      tangEE(5,1)=v(701)
      tangEE(5,2)=v(702)
      tangEE(5,3)=v(703)
      tangEE(5,4)=v(704)
      tangEE(5,5)=v(177)*((v(121)*v(121))+v(121)*v(932))
      tangEE(5,6)=v(734)
      tangEE(5,7)=v(735)
      tangEE(5,8)=v(736)
      tangEE(6,1)=v(702)
      tangEE(6,2)=v(710)
      tangEE(6,3)=v(711)
      tangEE(6,4)=v(703)
      tangEE(6,5)=v(734)
      tangEE(6,6)=v(177)*((v(123)*v(123))+v(123)*(-v(123)+v(872)))
      tangEE(6,7)=v(743)
      tangEE(6,8)=v(735)
      tangEE(7,1)=v(703)
      tangEE(7,2)=v(711)
      tangEE(7,3)=v(719)
      tangEE(7,4)=v(720)
      tangEE(7,5)=v(735)
      tangEE(7,6)=v(743)
      tangEE(7,7)=v(177)*((v(126)*v(126))+v(126)*(-v(126)+v(873)))
      tangEE(7,8)=v(752)
      tangEE(8,1)=v(704)
      tangEE(8,2)=v(703)
      tangEE(8,3)=v(720)
      tangEE(8,4)=v(728)
      tangEE(8,5)=v(736)
      tangEE(8,6)=v(735)
      tangEE(8,7)=v(752)
      tangEE(8,8)=v(177)*((v(128)*v(128))+v(128)*(-v(128)+v(876)))
      tangES(1,1)=1d0*v(863)*v(933)
      tangES(1,2)=v(780)
      tangES(1,3)=v(781)
      tangES(1,4)=v(782)
      tangES(1,5)=v(783)
      tangES(1,6)=v(784)
      tangES(1,7)=v(785)
      tangES(1,8)=v(786)
      tangES(2,1)=v(780)
      tangES(2,2)=v(772)*v(870)
      tangES(2,3)=v(789)
      tangES(2,4)=v(781)
      tangES(2,5)=v(784)
      tangES(2,6)=v(792)
      tangES(2,7)=v(793)
      tangES(2,8)=v(785)
      tangES(3,1)=v(781)
      tangES(3,2)=v(789)
      tangES(3,3)=v(773)*v(798)
      tangES(3,4)=v(799)
      tangES(3,5)=v(785)
      tangES(3,6)=v(793)
      tangES(3,7)=v(802)
      tangES(3,8)=v(803)
      tangES(4,1)=v(782)
      tangES(4,2)=v(781)
      tangES(4,3)=v(799)
      tangES(4,4)=v(774)*v(811)
      tangES(4,5)=v(786)
      tangES(4,6)=v(785)
      tangES(4,7)=v(803)
      tangES(4,8)=v(812)
      tangES(5,1)=v(783)
      tangES(5,2)=v(784)
      tangES(5,3)=v(785)
      tangES(5,4)=v(786)
      tangES(5,5)=v(775)*v(818)
      tangES(5,6)=v(819)
      tangES(5,7)=v(820)
      tangES(5,8)=v(821)
      tangES(6,1)=v(784)
      tangES(6,2)=v(792)
      tangES(6,3)=v(793)
      tangES(6,4)=v(785)
      tangES(6,5)=v(819)
      tangES(6,6)=v(776)*v(828)
      tangES(6,7)=v(829)
      tangES(6,8)=v(820)
      tangES(7,1)=v(785)
      tangES(7,2)=v(793)
      tangES(7,3)=v(802)
      tangES(7,4)=v(803)
      tangES(7,5)=v(820)
      tangES(7,6)=v(829)
      tangES(7,7)=v(777)*v(838)
      tangES(7,8)=v(839)
      tangES(8,1)=v(786)
      tangES(8,2)=v(785)
      tangES(8,3)=v(803)
      tangES(8,4)=v(812)
      tangES(8,5)=v(821)
      tangES(8,6)=v(820)
      tangES(8,7)=v(839)
      tangES(8,8)=1d0*v(128)*v(778)*v(853)
      END
